IvyConfigurationContainer (Gradle API 9.7.1)
Description: declaration: package: org.gradle.api.publish.ivy, interface: IvyConfigurationContainer

# Interface IvyConfigurationContainer

All Superinterfaces:
  `Collection<IvyConfiguration>, Configurable<NamedDomainObjectContainer<IvyConfiguration>>, DomainObjectCollection<IvyConfiguration>, DomainObjectSet<IvyConfiguration>, Iterable<IvyConfiguration>, NamedDomainObjectCollection<IvyConfiguration>, NamedDomainObjectContainer<IvyConfiguration>, NamedDomainObjectSet<IvyConfiguration>, Set<IvyConfiguration>`

public interface IvyConfigurationContainer extends NamedDomainObjectContainer<IvyConfiguration>
The set of `IvyConfiguration`s that will be included in the `IvyPublication`. Being a `NamedDomainObjectContainer`, a `IvyConfigurationContainer` provides convenient methods for adding, querying, filtering, and applying actions to the set of `IvyConfiguration`s.

    plugins {
        id 'ivy-publish'
    }

    def publication = publishing.publications.create("my-pub", IvyPublication)
    def configurations = publication.configurations

    configurations.create("extended", { extend "default"})
    configurations.all {
        extend "base"
    }

- ## Method Summary

  ### Methods inherited from interface Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, disallowChanges, getElements, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface Iterable

  `forEach`

  ### Methods inherited from interface NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

  ### Methods inherited from interface NamedDomainObjectContainer

  `configure, create, create, create, maybeCreate, register, register`

  ### Methods inherited from interface NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`